using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class controls_UsersOnline : System.Web.UI.UserControl
{
    protected void Page_Load(object sender, EventArgs e)
    {
        string lsUsername, lsSessionNumber;

        if (Session["username"] == null)
        {
            lsUsername = String.Empty;
        }
        else
        {
            lsUsername = Session["username"].ToString();
        }

        lsSessionNumber = this.Session.SessionID.ToString();

        lblUsersOnline.Text = "<b>Total:</b> " + digioz.UserOnlineManagement.GetTotalUsersOnline(lsUsername,lsSessionNumber);
        lblUsersOnline.Text += "<br /><b>Registered:</b> " + digioz.UserOnlineManagement.GetUsersOnline();
    }
}
